#version 130

in  vec3 in_position;
in  vec3 in_normal;
in  vec2 in_texcoords;

out vec3 normal, lightDir, eyeVec;
out vec2 tex;
uniform float musictime;

uniform int event;

void main(void) {

  tex = in_texcoords;
  gl_FrontColor = vec4(1.0);
  gl_Position = vec4(in_position.xyz, 1.0);
}